当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 请教gtk+的安装问题,gtk+一直装不成功,
帖子发表于 : 2013-03-08 20:45 

注册: 2013-01-23 21:46
帖子: 27
系统: windows xp
送出感谢: 2
接收感谢: 0 次
大家好!
本人在安装gtk+时总是提示说软件包有未满足的依赖关系,但是自己又不知所措,烦请大家帮帮忙,在此表示感谢!
这里有两个问题,
(1)针对ubuntu 12.04应该安装哪个版本的gtk+?好像12.04默认安装了其中一些,但是还有一些关键的部分没有安装,我在新立得里搜索过,也是提示安装出问题,只是本人菜鸟,实在不懂如何解决……
( 2 )如何安装相应版本的gtk+呢?

以下是错误提示:
cmjauto:~$ sudo apt-get install libgtk2.0-dev

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
libgtk2.0-dev : 依赖: libglib2.0-dev (>= 2.27.3) 但是它将不会被安装
依赖: libgdk-pixbuf2.0-dev (>= 2.21.0) 但是它将不会被安装
依赖: libpango1.0-dev (>= 1.20) 但是它将不会被安装
依赖: libatk1.0-dev (>= 1.29.2) 但是它将不会被安装
依赖: libcairo2-dev (>= 1.6.4-6.1) 但是它将不会被安装
依赖: libx11-dev (>= 2:1.0.0-6) 但是它将不会被安装
依赖: libxext-dev (>= 1:1.0.1-2) 但是它将不会被安装
依赖: libxinerama-dev (>= 1:1.0.1-4.1) 但是它将不会被安装
依赖: libxi-dev (>= 1:1.0.1-4) 但是它将不会被安装
依赖: libxrandr-dev (>= 1:1.2.99) 但是它将不会被安装
依赖: libxcursor-dev 但是它将不会被安装
依赖: libxfixes-dev (>= 1:3.0.0-3) 但是它将不会被安装
依赖: libxcomposite-dev (>= 1:0.2.0-3) 但是它将不会被安装
依赖: libxdamage-dev (>= 1:1.0.1-3) 但是它将不会被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 请教gtk+的安装问题,gtk+一直装不成功,
帖子发表于 : 2013-03-08 21:21 
头像

注册: 2009-12-12 19:29
帖子: 5060
地址: 随便一个地方
系统: 本地大型发行版除外
送出感谢: 0 次
接收感谢: 166
试试换源和更新源。


_________________
Github见!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 请教gtk+的安装问题,gtk+一直装不成功,
帖子发表于 : 2013-03-09 13:22 

注册: 2013-01-23 21:46
帖子: 27
系统: windows xp
送出感谢: 2
接收感谢: 0 次
mraandtux 写道:
试试换源和更新源。

谢谢您,我更换了源之后,可以下载lingtk+2.0dev软件包了。

这里还有一个问题,因为想要使用gtk往往需要安装很多软件、库啊什么的,而我在新立得里面搜索“libgtk”后出现了很多貌似已安装的与gtk有关的软件,这里麻烦您帮我看一下,我到底还需要安装哪些包?具体哪个版本倒是无所谓的,谢谢了!
新立得截图如下所示:
附件:
libgtk.png
libgtk.png [ 117.53 KiB | 被浏览 3959 次 ]



页首
 用户资料  
 
4 楼 
 文章标题 : Re: 请教gtk+的安装问题,gtk+一直装不成功,
帖子发表于 : 2013-03-09 14:42 
头像

注册: 2009-12-12 19:29
帖子: 5060
地址: 随便一个地方
系统: 本地大型发行版除外
送出感谢: 0 次
接收感谢: 166
就这么多。


_________________
Github见!


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 请教gtk+的安装问题,gtk+一直装不成功,
帖子发表于 : 2013-03-09 15:31 

注册: 2013-01-23 21:46
帖子: 27
系统: windows xp
送出感谢: 2
接收感谢: 0 次
mraandtux 写道:
就这么多。

您的意思是我只需安装libgtk+2.0dev就可以了?
新立得里面标记为绿色的应该是已经安装的,我发现有很多是3.0的,那我安装2.0的不会冲突或不兼容吗?
还望您明确一下,或者有什么指导教程链接什么的,本人比较笨,见谅……


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 请教gtk+的安装问题,gtk+一直装不成功,
帖子发表于 : 2013-03-09 17:28 
头像

注册: 2012-10-29 11:35
帖子: 187
系统: UBUNTU
送出感谢: 1
接收感谢: 3
用3.0吧,现在已经比较稳定。WIN32上也有非官方的开发包了。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 请教gtk+的安装问题,gtk+一直装不成功,
帖子发表于 : 2013-03-09 22:13 

注册: 2013-01-23 21:46
帖子: 27
系统: windows xp
送出感谢: 2
接收感谢: 0 次
huangbster 写道:
用3.0吧,现在已经比较稳定。WIN32上也有非官方的开发包了。

好的,知道了,谢谢您……


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译